﻿using System.Linq;
using System.Web.Mvc;
using Mvc_DropDownList_Multiplo.Models;

namespace Mvc_DropDownList_Multiplo.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            using (var db = new NorthwindEntities())
            {
                var categorias = db.Categories.Select(c => new
                {
                    CategoryID = c.CategoryID,
                    CategoryName = c.CategoryName
                }).ToList();
                //ViewBag.Categorias = new MultiSelectList(categorias, "CategoryID", "CategoryName");
                ViewBag.Categorias = new MultiSelectList(categorias, "CategoryID", "CategoryName", new[] { 1, 3, 7 });
                return View();
            }
        }

        [HttpPost]
        public ActionResult Selecao(int[] categoryId)
        {
            return View();
        }
    }
}